org.springframework.web.socket.server

## Class HandshakeFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.socket.server.HandshakeFailureException

- All Implemented Interfaces:
    Serializable

      public class HandshakeFailureException
      extends NestedRuntimeException

  Thrown when handshake processing failed to complete due to an internal, unrecoverable error. This implies a server error (HTTP status code 500) as opposed to a failure in the handshake negotiation.

  By contrast, when handshake negotiation fails, the response status code will be 200 and the response headers and body will have been updated to reflect the cause for the failure. A `HandshakeHandler` implementation will have protected methods to customize updates to the response in those cases.

  Since:
    4.0
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandshakeFailureException(String message)`
    `HandshakeFailureException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HandshakeFailureException

          public HandshakeFailureException(String message)

    - #### HandshakeFailureException

          public HandshakeFailureException(String message,
                                           Throwable cause)